/*
	AntiCrux - Artificial intelligence playing AntiChess and AntiChess960 with jQuery Mobile
	Copyright (C) 2016-2017, ecrucru

		https://github.com/ecrucru/anticrux/
		http://ecrucru.free.fr/?page=anticrux

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU Affero General Public License as
	published by the Free Software Foundation, either version 3 of the
	License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU Affero General Public License for more details.

	You should have received a copy of the GNU Affero General Public License
	along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
"use strict";var AntiCrux=function(){this._init(),this._root_node={},this.clearBoard()};AntiCrux.prototype.startUI=function(){if("undefined"==typeof module||!module.exports)throw"Error - AntiCrux.prototype.startUI() is restricted to NodeJS";var t=require("opn");t("./node_modules/anticrux/index.html")},AntiCrux.prototype.copyOptions=function(t){return!!t.hasOwnProperty("options")&&(this.options=JSON.parse(JSON.stringify(t.options)),!0)},AntiCrux.prototype.clearBoard=function(){var t;for(this.freeMemory(),this._buffer="",this._highlight=[],this._history=[],this._history_fen0="",this._root_node={piece:[],owner:[],player:this.constants.owner.white},t=0;t<64;t++)this._root_node.piece[t]=this.constants.piece.none,this._root_node.owner[t]=this.constants.owner.none;this.fischer=null},AntiCrux.prototype.getNewFischerId=function(){return Math.floor(960*Math.random())+1},AntiCrux.prototype.defaultBoard=function(t){var e,n,o,s,i;if(void 0===t&&(t=this.constants.board.classicalFischer),t<1||t>960)return!1;for(this.clearBoard(),this.fischer=t,i=[this.constants.piece.none,this.constants.piece.none,this.constants.piece.none,this.constants.piece.none,this.constants.piece.none,this.constants.piece.none,this.constants.piece.none,this.constants.piece.none],i[Math.floor(.08*(Math.floor(25*(t-1))%100)+1.5)]=this.constants.piece.bishop,i[Math.floor(.08*(Math.floor(25*Math.floor((t-1)/4))%100)+.5)]=this.constants.piece.bishop,n=Math.floor(Math.floor((t-1)/4)/4)/6,o=Math.floor(6*(n-Math.floor(n))+.5),e=0;e<8;e++)if(i[e]==this.constants.piece.none){if(0===o){i[e]=this.constants.piece.queen;break}o--}for(s=["NNRKR","NRNKR","NRKNR","NRKRN","RNNKR","RNKNR","RNKRN","RKNNR","RKNRN","RKRNN"][Math.floor(n)],e=0;e<8;e++)i[e]==this.constants.piece.none&&(i[e]=this.constants.piece.mapping[s.charAt(0)],s=s.substring(1));for(e=0;e<8;e++)this._root_node.piece[0+e]=i[e],this._root_node.piece[8+e]=this.constants.piece.pawn,this._root_node.piece[48+e]=this.constants.piece.pawn,this._root_node.piece[56+e]=i[e],this._root_node.owner[0+e]=this.constants.owner.black,this._root_node.owner[8+e]=this.constants.owner.black,this._root_node.owner[48+e]=this.constants.owner.white,this._root_node.owner[56+e]=this.constants.owner.white;return this._history_fen0=this.toFen(),!0},AntiCrux.prototype.loadFen=function(t){var e,n,o,s,i;if(0===t.length)return!1;for(this.clearBoard(),e=t.split(" "),n=0,o=0,s=0;s<e[0].length&&(i=e[0].charAt(s)," "!=i);s++)if("12345678".indexOf(i)!=-1)n+=parseInt(i);else if("/"==i)n=0,o++;else{if("prnbqk".indexOf(i.toLowerCase())==-1)return this.clearBoard(),!1;this._root_node.piece[8*o+n]=this.constants.piece.mapping[i],this._root_node.owner[8*o+n]=i==i.toLowerCase()?this.constants.owner.black:this.constants.owner.white,n++}return void 0===e[1]?this._root_node.player=this.constants.owner.white:this._root_node.player="b"==e[1]?this.constants.owner.black:this.constants.owner.white,void 0!==e[3]&&"-"!==e[3]&&(s="abcdefgh".indexOf(e[3]),s!==-1&&(this._root_node.enpassant=8*(this._root_node.player==this.constants.owner.white?2:5)+s)),this._root_node.valuation=this._ai_nodeValuate().valuation,this._history_fen0=this.toFen(),this.fischer=this._discoverFischer(),!0},AntiCrux.prototype.loadLichess=function(t){var e;return!(!t.match(/^[a-zA-Z0-9]{8}$/)&&!t.match(/^[a-zA-Z0-9]{12}$/))&&(e=this,$.ajaxSetup({cache:!1}),$.get("https://en.lichess.org/api/game/"+t+"?with_fens=1&with_moves=1",function(t){}).fail(function(t){}).done(function(t){var n,o,s,i;if(!e._has(t,"variant","antichess"))return!1;if(e._has(t,"initialFen",!0)){if(!e.loadFen(t.initialFen))return!1}else e.defaultBoard(e.constants.board.classicalFischer);for(s=e._has(t,"color","black")?e.constants.owner.black:e.constants.owner.white,n=t.moves.split(" "),s=s==e.constants.owner.white&&n.length%2==1?e.constants.owner.black:e.constants.owner.white,e._history=[],i=0;i<n.length;i++){if(o=e.movePiece(n[i],!0,s),o==e.constants.move.none)return!1;e._history.push(o),e.highlightMove(o),s=s==e.constants.owner.white?e.constants.owner.black:e.constants.owner.white}return e._root_node.player=s,!0}),!0)},AntiCrux.prototype.hasSetUp=function(){return!!this._has(this,"_history_fen0",!0)&&"rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR"!=this._history_fen0.substring(0,43)},AntiCrux.prototype.getInitialPosition=function(){return this._has(this,"_history_fen0",!0)?this._history_fen0:""},AntiCrux.prototype.getPlayer=function(t){return void 0===t&&(t=this._root_node),t.hasOwnProperty("player")?t.player:this.constants.owner.none},AntiCrux.prototype.getOppositePlayer=function(t){switch(this.getPlayer(t)){case this.constants.owner.none:return this.constants.owner.none;case this.constants.owner.white:return this.constants.owner.black;case this.constants.owner.black:return this.constants.owner.white;default:return null}},AntiCrux.prototype.setPlayer=function(t,e){return void 0===e&&(e=this._root_node),[this.constants.owner.black,this.constants.owner.none,this.constants.owner.white].indexOf(t)!==-1&&(e.player=t,!0)},AntiCrux.prototype.getPieceByCoordinate=function(t,e){var n;return!!t.match(/^[a-h][1-8]$/)&&(void 0===e&&(e=this._root_node),n=8*(8-parseInt(t.charAt(1)))+"abcdefgh".indexOf(t.charAt(0)),{owner:e.owner[n],piece:e.piece[n]})},AntiCrux.prototype.movePiece=function(t,e,n,o){var s,i,r,a,h,c,p,l,d,u,v,f,_,w,y;if(void 0===t||t==this.constants.move.none)return this.constants.move.none;if(void 0===o&&(o=this._root_node),this.hasPendingPromotion(o))return this.constants.move.none;if(void 0===n&&(n=this.constants.owner.none),null===o)return this.constants.move.none;if("string"==typeof t){if(s=t.match(/^([RNBQK])?([a-h]([0-9])?)?(x)?([a-h][0-9])(=[RNBQK])?\s?[\!|\+|\#|\-|\/|\=|\?]*$/),null===s)return this.constants.move.none;for(h=0;h<s.length;h++)void 0===s[h]&&(s[h]="");for(v=s[6].length>1?this.constants.piece.mapping[s[6].substring(1)]:0,y="abcdefgh".indexOf(s[5].charAt(0)),w=8-parseInt(s[5].charAt(1)),r=this._ai_nodeCopy(o,!1),a=[],n==this.constants.owner.none?(r.player=this.constants.owner.black,this._ai_nodeMoves(r),a=a.concat(r.moves),r.player=this.constants.owner.white,this._ai_nodeMoves(r),r.moves=a.concat(r.moves)):(r.player=n,this._ai_nodeMoves(r)),a=[],h=0;h<r.moves.length;h++)if(r.moves[h]%100==10*w+y){if(c=Math.floor(r.moves[h]/100)%10,p=Math.floor(r.moves[h]/1e3)%10,v!=this.constants.piece.none&&Math.floor(r.moves[h]/1e4)%10!=v)continue;if(n!=this.constants.owner.none&&r.owner[8*p+c]!=n)continue;if(1==s[2].length&&s[2]!="abcdefgh".charAt(c))continue;if(2==s[2].length&&(s[2][0]!="abcdefgh".charAt(c)||8-parseInt(s[2][1])!=p))continue;if(1==s[1].length&&this.constants.piece.mapping[s[1]]!=r.piece[8*p+c])continue;if(0===s[1].length&&2!=s[2].length&&r.piece[8*p+c]!=this.constants.piece.pawn)continue;a.indexOf(r.moves[h]%1e4)==-1&&a.push(r.moves[h]%1e4)}if(1!=a.length)return this.constants.move.none;f=Math.floor(a[0]/1e3)%10,_=Math.floor(a[0]/100)%10}else{if(t=parseInt(t),0===t)return this.constants.move.none;v=Math.floor(t/1e4)%10,f=Math.floor(t/1e3)%10,_=Math.floor(t/100)%10,w=Math.floor(t/10)%10,y=t%10}if(_<0||_>7||f<0||f>7||y<0||y>7||w<0||w>7||v>this.constants.piece.king)return this.constants.move.none;if(t=1e4*v+1e3*f+100*_+10*w+y,i=o.owner[8*f+_],i==this.constants.owner.none)return this.constants.move.none;if(o.player=i,e){for(r=this._ai_nodeCopy(o,!1),r.player=i,this._ai_nodeMoves(r),u=!1,h=0;h<r.moves.length;h++)if(t==r.moves[h]||t==r.moves[h]%1e4){u=!0;break}if(!u)return this._highlight=[],this.constants.move.none}return o.hasOwnProperty("enpassant")&&8*w+y==o.enpassant&&o.piece[8*f+_]==this.constants.piece.pawn&&o.piece[8*w+y]==this.constants.piece.none?(l=y,d=w+o.player,l>=0&&l<=7&&d>=0&&d<=7&&o.piece[8*d+l]==this.constants.piece.pawn&&o.owner[8*d+l]!=o.owner[8*f+_]&&(o.piece[8*d+l]=this.constants.piece.none,o.owner[8*d+l]=this.constants.owner.none,delete o.enpassant)):o.piece[8*f+_]==this.constants.piece.pawn&&2==Math.abs(w-f)?o.enpassant=4*(w+f)+y:delete o.enpassant,o.piece[8*w+y]=o.piece[8*f+_],o.piece[8*f+_]=this.constants.piece.none,o.owner[8*w+y]=o.owner[8*f+_],o.owner[8*f+_]=this.constants.owner.none,0!==w&&7!==w||o.piece[8*w+y]==this.constants.piece.pawn&&(this.options.variant.promoteQueen&&(v=this.constants.piece.queen),v!=this.constants.piece.none?o.piece[8*w+y]=v:o._pendingPromotion=8*w+y),this._highlight=[],t},AntiCrux.prototype.getMoveAI=function(t,e){var n,o,s,i,r,a,h,c,p,l,d,u,v;if(void 0===e&&(e=this._root_node),void 0===t&&(t=this.getPlayer(e)),t!=this.constants.owner.black&&t!=this.constants.owner.white)return null;if(this._buffer="",this.hasPendingPromotion(e))return null;if(this.options.ai.maxReply<1&&(this.options.ai.maxReply=1),this._ai_nodeFreeMemory(e),this._ai_nodeShrink(e),e.player=t,o=this.options.ai.maxDepth,this._ai_nodeMoves(e),0===e.moves.length)return null;if(i=this.options.ai.noStatOnForcedMove&&1===e.moves.length,this.options.ai.oyster)return this.resetStats(),e.moves[Math.round(Math.random()*(e.moves.length-1))];for(r=[],a=[],s=1;s<=o;s++){if(this._numNodes=0,this.options.ai.maxDepth=s,this._ai_nodeRecurseTree(t,0,e),this._reachedDepth=s,0===this._numNodes)throw"Internal error - Report any error (#001)";for(r.push(s),a.push(this._numNodes),h=0,c=0,n=0;n<r.length;n++)h+=r[n];for(h/=r.length,n=0;n<a.length;n++)c+=Math.log(a[n]);for(c/=a.length,p=0,n=0;n<r.length;n++)p+=Math.pow(r[n]-h,2);for(p/=r.length,l=0,n=0;n<a.length;n++)l+=(r[n]-h)*(Math.log(a[n])-c);if(l/=a.length,u=0===p?0:l/p,d=Math.exp(c-u*h),v=Math.floor(d*Math.exp(u*(s+1))),s>=(i?1:o)||!this.options.ai.wholeNodes&&0!==this.options.ai.maxNodes&&v>this.options.ai.maxNodes||this.options.ai.wholeNodes&&0!==this.options.ai.maxNodes&&this._numNodes>=this.options.ai.maxNodes)break}return this.options.ai.maxDepth=o,this._ai_gc(),this._ai_nodeSolve(t,0,"",e),this._ai_nodePick(t,e)},AntiCrux.prototype.predictMoves=function(t){var e,n,o,s;if(void 0===t&&(t=this._root_node),this.hasPendingPromotion(t))return"Error : the position is waiting for a promotion.";if(this._ai_nodeFreeMemory(t),e=new AntiCrux,e.options.ai.maxDepth=3,e.options.ai.maxNodes=0,e.options.ai.wholeNodes=!0,e.options.board.symbols=this.options.board.symbols,!e.loadFen(this.toFen(t)))return"Error : the position cannot be loaded.";if(e._ai_nodeMoves(e._root_node),0===e._root_node.moves.length)return"The game is over.";for(s="",o=0;o<5;o++){if(n=e.getMoveAI(),null===n){e.freeMemory();break}if(s.length>0&&(s+=" "),s+=e.moveToString(n),e.freeMemory(),e.movePiece(n,!0)==e.constants.move.none)throw"Internal error - Report any error (#012)";e.switchPlayer()}return"The predicted moves are :\n"+s+"\n\nScore = "+e.getScore().valuationSolverPC+"%"},AntiCrux.prototype.logMove=function(t){return void 0!==t&&0!==t&&("number"==typeof t&&(this._history.push(t),!0))},AntiCrux.prototype.resetStats=function(){this._numNodes=0,this._reachedDepth=0},AntiCrux.prototype.undoMove=function(){var t,e;if(!this._has(this,"_history",!0)||!this._has(this,"_history_fen0",!0))return"";for(e=this._history.slice(0),e.pop(),this.loadFen(this._history_fen0),t=0;t<e.length;t++){if(this.movePiece(e[t],!0,this.constants.owner.none)==this.constants.move.none)throw"Internal error - Report any error (#004)";this.switchPlayer()}return this._history=e,!0},AntiCrux.prototype.getNumNodes=function(){return this.hasOwnProperty("_numNodes")?this._numNodes:0},AntiCrux.prototype.getReachedDepth=function(){return this.hasOwnProperty("_reachedDepth")?this._reachedDepth:0},AntiCrux.prototype.hasPendingPromotion=function(t){return void 0===t&&(t=this._root_node),t.hasOwnProperty("_pendingPromotion")},AntiCrux.prototype.promote=function(t,e){var n;if(void 0===e&&(e=this._root_node),!this.hasPendingPromotion(e))return this.constants.piece.none;if("string"==typeof t){if(!this.constants.piece.mapping.hasOwnProperty(t))return this.constants.piece.none;n=this.constants.piece.mapping[t]}return this.options.variant.promoteQueen&&(n=this.options.piece.queen),e.piece[e._pendingPromotion]=n,delete e._pendingPromotion,n},AntiCrux.prototype.getPieceSymbol=function(t,e,n){var o;if(n){if(e==this.constants.owner.white)switch(t){case this.constants.piece.pawn:o="&#9817;";break;case this.constants.piece.rook:o="&#9814;";break;case this.constants.piece.knight:o="&#9816;";break;case this.constants.piece.bishop:o="&#9815;";break;case this.constants.piece.queen:o="&#9813;";break;case this.constants.piece.king:o="&#9812;";break;default:o=""}else switch(t){case this.constants.piece.pawn:o="&#9823;";break;case this.constants.piece.rook:o="&#9820;";break;case this.constants.piece.knight:o="&#9822;";break;case this.constants.piece.bishop:o="&#9821;";break;case this.constants.piece.queen:o="&#9819;";break;case this.constants.piece.king:o="&#9818;";break;default:o=""}return 0===o.length?"":'<span class="AntiCrux-big">'+o+"</span>"}return t==this.constants.piece.pawn?"":this.constants.piece.mapping_rev[t].toUpperCase()},AntiCrux.prototype.moveToString=function(t,e){var n,o,s,i,r,a,h,c,p;return void 0===e&&(e=this._root_node),null===t?"":(n=parseInt(t),o=Math.floor(n/1e4)%10,s=Math.floor(n/1e3)%10,i=Math.floor(n/100)%10,r=Math.floor(n/10)%10,a=n%10,p=this.getPieceSymbol(e.piece[8*s+i],e.owner[8*s+i],this.options.board.symbols),c=e.owner[8*r+a]!=e.owner[8*s+i]&&e.owner[8*r+a]!=this.constants.owner.none,e.hasOwnProperty("enpassant")&&(c=c||e.piece[8*s+i]==this.constants.piece.pawn&&8*r+a==e.enpassant),this._ai_nodeInventory(e.owner[8*s+i],e.piece[8*s+i],void 0,e)>1||c&&e.piece[8*s+i]==this.constants.piece.pawn?(h="abcdefgh".charAt(i),this._ai_nodeInventory(e.owner[8*s+i],e.piece[8*s+i],i,e)>1&&(h+=8-s)):h="",c||e.piece[8*s+i]!=this.constants.piece.pawn||i!=a||(h=""),c||1!=this._ai_nodeInventory(e.owner[8*s+i],e.piece[8*s+i],void 0,e)||(h=""),c&&(h+="x"),p+=h,p+="abcdefgh".charAt(a),p+=8-r,o!=this.constants.piece.none&&(p+="="+this.getPieceSymbol(o,e.owner[8*s+i],this.options.board.symbols)),p)},AntiCrux.prototype.getScore=function(t){var e;return void 0===t&&(t=this._root_node),e=this._ai_nodeValuate(t),null===e?{valuation:t.hasOwnProperty("valuation")?t.valuation:null,valuationSolver:t.hasOwnProperty("valuationSolver")?t.valuationSolver:null}:e},AntiCrux.prototype.switchPlayer=function(t){return void 0===t&&(t=this._root_node),!!t.hasOwnProperty("player")&&(t.player==this.constants.owner.white?t.player=this.constants.owner.black:t.player=this.constants.owner.white,!0)},AntiCrux.prototype.getWinner=function(t){var e=this._ai_nodeCopy(void 0===t?this._root_node:t,!0);return e.player=this.constants.owner.white,this._ai_nodeMoves(e),this._has(e,"moves",!0)?(e.player=this.constants.owner.black,this._ai_nodeMoves(e),this._has(e,"moves",!0)?this.constants.owner.none:this.constants.owner.black):this.constants.owner.white},AntiCrux.prototype.isDraw=function(t){return void 0===t&&(t=this._root_node),!!(this.hasOwnProperty("_reachedDepth")&&t.hasOwnProperty("valuation")&&t.hasOwnProperty("valuationSolver"))&&(this._reachedDepth>=5&&0===t.valuation&&0===t.valuationSolver&&this._ai_nodeInventory(this.constants.owner.black,null,void 0,t)<=5&&this._ai_nodeInventory(this.constants.owner.white,null,void 0,t)<=5)},AntiCrux.prototype.isEndGame=function(t,e){var n=this._ai_nodeCopy(void 0===e?this._root_node:e,!1);return t&&this.switchPlayer(n),this._ai_nodeMoves(n),!this._has(n,"moves",!0)},AntiCrux.prototype.highlight=function(t,e){if(void 0===e&&(e=null),(t||null===e)&&(this._highlight=[]),null===e);else if(Array.isArray(e))this._highlight=this._highlight.concat(e);else if("string"!=typeof e)this._highlight.push(parseInt(e));else if(0===e.length);else if(e.match(/^[a-h][1-8]$/))this._highlight.push(8*(8-parseInt(e.charAt(1)))+"abcdefgh".indexOf(e.charAt(0)));else{if(!e.match(/^[0-7]{2}$/))return!1;this._highlight.push(parseInt(e))}return!0},AntiCrux.prototype.highlightMove=function(t){var e,n,o,s;0===t?this._highlight=[]:(e=Math.floor(t/1e3)%10,n=Math.floor(t/100)%10,o=Math.floor(t/10)%10,s=t%10,this._highlight=[8*e+n,8*o+s])},AntiCrux.prototype.highlightMoves=function(t){var e,n,o;if(this._highlight=[],t?(e=this._ai_nodeCopy(this._root_node,!1),this._ai_nodeMoves(e)):e=this._root_node,1==e.moves.length)this.highlightMove(e.moves[0]);else for(n=0;n<e.moves.length;n++)o=e.moves[n]%100,this._highlight.push(8*Math.floor(o/10)+o%10)},AntiCrux.prototype.getHistory=function(){return this.hasOwnProperty("_history")?this._history:[]},AntiCrux.prototype.getHistoryHtml=function(){var t,e,n;if(!this._has(this,"_history",!0)||!this._has(this,"_history_fen0",!0))return"";if(t=new AntiCrux,t.copyOptions(this),!t.loadFen(this._history_fen0))return"";for(n='<table class="ui-table AntiCrux-table" data-role="table">',e=0;e<this._history.length;e++){if(e%2===0&&(n+="<tr><th>"+Math.floor((e+2)/2)+"</th>"),n+='<td class="AntiCrux-history-item" data-index="'+e+'" title="Click to review this past move">'+t.moveToString(this._history[e])+"</td>",t.movePiece(this._history[e],!0,t.constants.owner.none)==t.constants.move.none)throw"Internal error - Report any error (#010)";e%2==1&&(n+="</tr>")}return e%2==1&&(n+="</tr>"),n+"</table>"},AntiCrux.prototype.getDecisionTreeHtml=function(t){return void 0===t&&(t=this._root_node),this._buffer="",this._ai_nodeTreeHtml(0,t),0===this._buffer.length&&(this._buffer='<tr><td colspan="7">No data</td></tr>'),'<table class="ui-table AntiCrux-table" data-role="table">\t<thead>\t\t<tr>\t\t\t<th>Static</th>\t\t\t<th>Deep</th>\t\t\t<th colspan="5">Moves</th>\t\t</tr>\t</thead>\t<tbody>\n'+this._buffer+"\t</tbody></table>"},AntiCrux.prototype.getMovesHtml=function(t,e){var n,o,s;if(void 0===e&&(e=this._root_node),!this._has(e,"nodes",!0)||!this._has(e,"moves",!0))return"";for(o="",n=0;n<e.moves.length;n++){if(o+="<tr><td>"+this.moveToString(e.moves[n],e)+"</td>",s=this._ai_nodeValuate(e.nodes[n]),o+="<td>",o+=s.valuation==this.constants.owner.black*this.constants.score.infinite?'<img src="images/mate_'+this.constants.owner.white+'.png" title="White wins" alt="-&#8734;" />':s.valuation==this.constants.owner.white*this.constants.score.infinite?'<img src="images/mate_'+this.constants.owner.black+'.png" title="Black wins" alt="+&#8734;" />':null!==s.valuationPC?s.valuationPC+"%":s.valuation,o+="</td>",o+="<td>",o+=s.valuationSolver==this.constants.owner.black*this.constants.score.infinite?'<img src="images/mate_'+this.constants.owner.white+'.png" title="White wins" alt="-&#8734;" />':s.valuationSolver==this.constants.owner.white*this.constants.score.infinite?'<img src="images/mate_'+this.constants.owner.black+'.png" title="Black wins" alt="+&#8734;" />':null!==s.valuationSolverPC?s.valuationSolverPC+"%":s.valuationSolver,e.nodes[n].hasOwnProperty("_opportunity")&&Math.abs(e.nodes[n].valuationSolver)!=this.constants.score.infinite){switch(o+="<td>",e.nodes[n]._opportunity){case"-":o+='<img src="images/opportunity_0.png" title="Risk of defeat" />';break;case"±":o+='<img src="images/opportunity_1.png" title="Uncertain end of game" />';break;case"+":o+='<img src="images/opportunity_2.png" title="Opportunity of victory" />';break;default:throw"Internal error - Report any error (#016)"}o+="</td>"}else o+="<td></td>";o+="</td></tr>"}return 0===o.length?"":'<table class="ui-table" data-role="table" data-mode="table"><thead><tr class="th-groups"><th></th><th colspan="3">Evaluation</th></tr><tr><th data-priority="1">Move</th><th data-priority="2">Static</th><th data-priority="3">Deep</th><th data-priority="4">&nbsp;</th></tr></thead><tbody>'+o+"</tbody></table>"},AntiCrux.prototype.toHtml=function(t){var e,n,o,s,i,r,a;for(void 0===t&&(t=this._root_node),o=this.options.board.rotated,a="",s=1,i="abcdefgh",n=o?7:0;!o&&n<8||o&&n>=0;o?n--:n++){for(s=1-s,a+='<div class="AntiCrux-board-line">',this.options.board.coordinates&&(a+='<div class="AntiCrux-board-coordinates-vertical">'+(8-n)+"</div>"),e=o?7:0;!o&&e<8||o&&e>=0;o?e--:e++){switch(s=1-s,this.options.variant.pieces){case 1:r=t.owner[8*n+e]!=this.constants.owner.none?this.constants.owner.white:t.owner[8*n+e];break;case 2:r=t.owner[8*n+e]!=this.constants.owner.none?this.constants.owner.black:t.owner[8*n+e];break;case 3:r=this.constants.owner.none;break;case 4:r=t.owner[8*n+e]==this.constants.owner.none?this.constants.owner.none:Math.floor(100*Math.random())%2==0?this.constants.owner.black:this.constants.owner.white;break;default:r=t.owner[8*n+e]}a+='<div class="AntiCrux-board-cell-'+(this._highlight.indexOf(8*n+e)!=-1?"hl":s)+" AntiCrux-board-piece-"+r+t.piece[8*n+e]+'" data-xy="'+i[e]+(8-n)+'">',this.options.board.debugCellId&&(a+=n+"/"+e+"<br/>"+(8*n+e)),a+="</div>"}a+="</div>"}if(this.options.board.coordinates){for(i=i.toUpperCase(),a+='<div class="AntiCrux-board-line">',a+='<div class="AntiCrux-board-coordinates-corner"></div>',e=0;e<i.length;e++)a+='<div class="AntiCrux-board-coordinates-horizontal">'+i[o?7-e:e]+"</div>";a+="</div>"}return'<div class="AntiCrux-board">'+a+"</div>"},AntiCrux.prototype.toFen=function(t){var e,n,o,s;if(void 0===t&&(t=this._root_node),!this._has(t,"piece",!0)||!this._has(t,"owner",!0))return"";for(n="",o=0,e=0;e<64;e++)t.owner[e]==this.constants.owner.none?o++:(o>0&&(n+=o,o=0),s=this.constants.piece.mapping_rev[t.piece[e]],t.owner[e]==this.constants.owner.black&&(s=s.toLowerCase()),n+=s),(e+1)%8===0&&(o>0&&(n+=o,o=0),e<63&&(n+="/"));return n+=t.player==this.constants.owner.black?" b":" w",n+=" -",n+=t.hasOwnProperty("enpassant")?" "+"abcdefgh"[t.enpassant%8]:" -",n+=" 0",n+=this._has(this,"_history",!0)?" "+Math.ceil(this._history.length/2):" 0"},AntiCrux.prototype.toText=function(t){var e,n,o,s,i,r,a,h;for(void 0===t&&(t=this._root_node),o=this.options.board.rotated,a="",n=o?7:0;!o&&n<8||o&&n>=0;o?n--:n++)for(e=o?7:0;!o&&e<8||o&&e>=0;o?e--:e++){switch(s=8*n+e,i=(e+n)%2==1,e===(o?7:0)&&(a+=this.options.board.coordinates?"àáâãäåæç"[7-n]:"$"),this.options.variant.pieces){case 1:h=t.owner[s]!=this.constants.owner.none?this.constants.owner.white:t.owner[s];break;case 2:h=t.owner[s]!=this.constants.owner.none?this.constants.owner.black:t.owner[s];break;case 3:h=this.constants.owner.none;break;case 4:h=t.owner[s]==this.constants.owner.none?this.constants.owner.none:Math.floor(100*Math.random())%2==0?this.constants.owner.black:this.constants.owner.white;break;default:h=t.owner[s]}switch(h){case this.constants.owner.none:r=i?"+":"*";break;case this.constants.owner.white:r=" prnbqk"[t.piece[s]];break;case this.constants.owner.black:r=" otmvwl"[t.piece[s]];break;default:throw"Internal error - Report any error (#009)"}i&&(r=r.toUpperCase()),a+=r,e===(o?0:7)&&(a+="%\n")}return'A""""""""S\n'+a+(this.options.board.coordinates?o?"DïîíìëêéèF":"DèéêëìíîïF":"D((((((((F")},AntiCrux.prototype.toPgn=function(){var t,e,n,o,s,i;if(!this._has(this,"_history",!0)||!this._has(this,"_history_fen0",!0))return"";if(t='[Event "Game"]\n',t+='[Site "https://github.com/ecrucru/anticrux/"]\n',t+='[Date "'+(new Date).toISOString().slice(0,10)+'"]\n',t+=this.options.board.rotated?'[White "AntiCrux '+this.options.ai.version+'"]\n[Black "You"]\n':'[White "You"]\n[Black "AntiCrux '+this.options.ai.version+'"]\n',t+='[Result "?"]\n',this.hasSetUp()&&(t+='[SetUp "1"]\n',t+='[FEN "'+this._history_fen0+'"]\n'),t+='[PlyCount "'+this._history.length+'"]\n',t+='[Variant "antichess"]\n',t+='[TimeControl "-"]\n\n',i=this.options.board.symbols,this.options.board.symbols=!1,e=new AntiCrux,e.copyOptions(this),!e.loadFen(this._history_fen0))return"";for(o=0,n=0;n<this._history.length;n++){if(n%2===0&&(t+=(o>0?" ":"")+ ++o+"."),s=e.moveToString(this._history[n]),e.movePiece(this._history[n],!0,this.constants.owner.none)==e.constants.move.none)throw"Internal error - Report any error (#011)";t+=" "+s,e.switchPlayer()}switch(e.getWinner()){case e.constants.owner.white:t+="# 1-0",t=t.replace('[Result "?"]','[Result "1-0"]');break;case e.constants.owner.black:t+="# 0-1",t=t.replace('[Result "?"]','[Result "0-1"]')}return this.options.board.symbols=i,t},AntiCrux.prototype.toConsole=function(t,e){var n,o,s,i,r,a;for(void 0===e&&(e=this._root_node),s=this.options.board.rotated,a="",o=s?7:0;!s&&o<8||s&&o>=0;s?o--:o++){for(n=s?7:0;!s&&n<8||s&&n>=0;s?n--:n++){switch(i=8*o+n,t&&n===(s?7:0)&&(a+=this.options.board.coordinates?" "+"12345678"[7-o]+" |":"|"),r=this.constants.piece.mapping_rev[e.piece[i]],e.owner[i]){case this.constants.owner.white:r=r.toUpperCase();break;case this.constants.owner.black:r=r.toLowerCase();break;case this.constants.owner.none:r=t||e.piece[i]!=this.constants.owner.none?" ":"."}a+=" "+r+(t?" |":""),n===(s?0:7)&&(a+="\n")}t&&(a+=(this.options.board.coordinates?"   ":"")+"+---+---+---+---+---+---+---+---+"),o!=(s?0:7)&&(a+="\n")}return t&&(a=(this.options.board.coordinates?"   ":"")+"+---+---+---+---+---+---+---+---+\n"+a),t&&(a+="\n",this.options.board.coordinates&&(a+=(this.options.board.coordinates?"    ":"")+(s?" H   G   F   E   D   C   B   A  ":" A   B   C   D   E   F   G   H  ")+"\n")),a},AntiCrux.prototype.freeMemory=function(){var t;return this._buffer="",t=this._ai_nodeFreeMemory(this._root_node),this._ai_gc(),t},AntiCrux.prototype._init=function(){this.constants={piece:{none:0,pawn:1,rook:2,knight:3,bishop:4,queen:5,king:6},owner:{black:-1,none:0,white:1},score:{infinite:16777217,neutral:0},board:{classicalFischer:519},move:{none:0}},this.constants.piece.mapping={"":this.constants.piece.none,p:this.constants.piece.pawn,P:this.constants.piece.pawn,r:this.constants.piece.rook,R:this.constants.piece.rook,n:this.constants.piece.knight,N:this.constants.piece.knight,b:this.constants.piece.bishop,B:this.constants.piece.bishop,q:this.constants.piece.queen,Q:this.constants.piece.queen,k:this.constants.piece.king,K:this.constants.piece.king},this.constants.piece.mapping_rev=[],this.constants.piece.mapping_rev[this.constants.piece.none]="",this.constants.piece.mapping_rev[this.constants.piece.pawn]="P",this.constants.piece.mapping_rev[this.constants.piece.rook]="R",this.constants.piece.mapping_rev[this.constants.piece.knight]="N",this.constants.piece.mapping_rev[this.constants.piece.bishop]="B",this.constants.piece.mapping_rev[this.constants.piece.queen]="Q",this.constants.piece.mapping_rev[this.constants.piece.king]="K",this.options={ai:{version:"0.2.0",valuation:[],maxDepth:12,maxNodes:1e5,minimizeLiberty:!0,maxReply:1,noStatOnForcedMove:!1,wholeNodes:!0,randomizedSearch:!0,pessimisticScenario:!0,bestStaticScore:!0,opportunistic:!1,handicap:0,acceleratedEndGame:!0,oyster:!1},variant:{promoteQueen:!1,activePawns:!1,pieces:0},board:{rotated:!1,symbols:!1,fischer:this.getNewFischerId(),coordinates:!0,noStatOnOwnMove:!0,decisionTree:!1,fullDecisionTree:!1,analysisDepth:5,debugCellId:!1}},this.options.ai.valuation[this.constants.piece.none]=0,this.options.ai.valuation[this.constants.piece.pawn]=100,this.options.ai.valuation[-this.constants.piece.pawn]=180,this.options.ai.valuation[this.constants.piece.rook]=500,this.options.ai.valuation[this.constants.piece.knight]=300,this.options.ai.valuation[this.constants.piece.bishop]=300,this.options.ai.valuation[this.constants.piece.queen]=900,this.options.ai.valuation[this.constants.piece.king]=250},AntiCrux.prototype._has=function(t,e,n){var o=void 0!==t&&null!==t;if(o){if(o=t.hasOwnProperty(e),o&&null===t[e])return!1;void 0===n?o&&(o=t[e]===!0):"string"==typeof n?o&&(o=t[e]==n):o&&n&&(o=t[e].length>0)}return o},AntiCrux.prototype._discoverFischer=function(t){var e,n,o,s;for(void 0===t&&(t=this._root_node),n=null,s=new AntiCrux,o=this.toFen(t).split(" ")[0],e=1;e<=960;e++)if(s.defaultBoard(e),s.toFen().substring(0,o.length)==o){n=e;break}return n},AntiCrux.prototype._ai_nodeCopy=function(t,e){var n={player:t.player,piece:t.piece.slice(0),owner:t.owner.slice(0)};return t.hasOwnProperty("enpassant")&&(n.enpassant=t.enpassant),e&&(t.hasOwnProperty("valuation")&&(n.valuation=t.valuation),t.hasOwnProperty("valuationSolver")&&(n.valuationSolver=t.valuationSolver),t.hasOwnProperty("moves")&&(n.moves=t.moves.slice(0)),t.hasOwnProperty("_pendingPromotion")&&(n._pendingPromotion=t._pendingPromotion)),n},AntiCrux.prototype._ai_nodeShrink=function(t){var e;for(e in t)["owner","piece","player","enpassant","_pendingPromotion"].indexOf(e)===-1&&delete t[e]},AntiCrux.prototype._ai_nodeInventory=function(t,e,n,o){var s,i;for(void 0===o&&(o=this._root_node),i=0,s=0;s<64;s++)if(!(o.owner[s]!=t&&null!==t||o.piece[s]!=e&&null!==e)){if(void 0!==n&&s%8!=n)continue;i++}return i},AntiCrux.prototype._ai_nodeLocatePiece=function(t,e,n){var o,s;for(void 0===n&&(n=this._root_node),s=0;s<8;s++)for(o=0;o<8;o++)if(!(n.owner[8*s+o]!=t&&null!==t||n.piece[8*s+o]!=e&&null!==e))return{x:o,y:s};return null},AntiCrux.prototype._ai_nodeMoves=function(t){var e,n,o,s,i,r,a,h,c,p,l,d,u,v,f=this,_=function(e,s,i,r){var a,h,d,u;return!(s<0||s>7||e<0||e>7)&&(a=t.owner[8*e+s],h=a!=t.player&&a!=f.constants.owner.none,!(a==t.player||h&&!i)&&(h&&!l&&(p=[],l=!0),!h&&(h||l||r)||(u=!1,t.piece[8*o+n]==f.constants.piece.pawn&&(0===e&&t.owner[8*o+n]==f.constants.owner.white||7===e&&t.owner[8*o+n]==f.constants.owner.black)&&(d=c+10*e+s,p.push(d+1e4*f.constants.piece.queen),f.options.variant.promoteQueen||(p.push(d+1e4*f.constants.piece.rook),p.push(d+1e4*f.constants.piece.knight),p.push(d+1e4*f.constants.piece.bishop),p.push(d+1e4*f.constants.piece.king)),u=!0),u||p.push(c+10*e+s)),!h))};if(void 0!==t&&null!==t){for(l=!1,p=[],o=0;o<8;o++)for(n=0;n<8;n++)if(e=8*o+n,t.owner[e]==t.player)switch(c=1e3*o+100*n,t.piece[e]){case this.constants.piece.none:continue;case this.constants.piece.pawn:u=-t.player,_(o+u,n,!1,!1)&&(u==-1&&6==o||1==u&&1==o)&&_(o+2*u,n,!1,!1),_(o+u,n-1,!0,!0),_(o+u,n+1,!0,!0),t.hasOwnProperty("enpassant")&&(i=t.enpassant%8,r=Math.floor(t.enpassant/8),a=i,h=r-u,i>=0&&i<=7&&r>=0&&r<=7&&a>=0&&a<=7&&h>=0&&h<=7&&1==Math.abs(i-n)&&r-o==u&&t.piece[e]==this.constants.piece.pawn&&t.piece[8*r+i]==this.constants.piece.none&&t.piece[8*h+a]==this.constants.piece.pawn&&t.owner[8*r+i]!=t.owner[8*h+a]&&(l||(p=[]),l=!0,p.push(c+10*r+i)));break;case this.constants.piece.queen:case this.constants.piece.rook:for(d=1;d<8&&_(o,n+d,!0,!1);d++);for(d=1;d<8&&_(o,n-d,!0,!1);d++);for(u=1;u<8&&_(o+u,n,!0,!1);u++);for(u=1;u<8&&_(o-u,n,!0,!1);u++);if(t.piece[e]==this.constants.piece.rook)break;case this.constants.piece.bishop:for(v=1;v<8&&_(o+v,n+v,!0,!1);v++);for(v=1;v<8&&_(o+v,n-v,!0,!1);v++);for(v=1;v<8&&_(o-v,n+v,!0,!1);v++);for(v=1;v<8&&_(o-v,n-v,!0,!1);v++);break;case this.constants.piece.king:for(d=-1;d<=1;d++)for(u=-1;u<=1;u++)0===d&&0===u||_(o+u,n+d,!0,!1);break;case this.constants.piece.knight:_(o-2,n-1,!0,!1),_(o-2,n+1,!0,!1),_(o+2,n-1,!0,!1),_(o+2,n+1,!0,!1),_(o-1,n-2,!0,!1),_(o-1,n+2,!0,!1),_(o+1,n-2,!0,!1),_(o+1,n+2,!0,!1);break;default:throw"Internal error - Report any error (#003)"}if(this.options.ai.randomizedSearch)for(n=p.length-1;n>=0;n--)o=Math.round(Math.random()*n),s=p[o],p[o]=p[n],p[n]=s;t.moves=p}},AntiCrux.prototype._ai_nodeCreateNodes=function(t){var e,n;if(t.hasOwnProperty("moves")&&t.hasOwnProperty("player"))for(t.nodes=[],e=0;e<t.moves.length;e++){if(n=this._ai_nodeCopy(t,!1),this.movePiece(t.moves[e],!1,t.player,n)==this.constants.move.none)throw"Internal error - Report any error (#013)";this.switchPlayer(n),t.nodes.push(n)}},AntiCrux.prototype._ai_nodeRecurseTree=function(t,e,n){var o,s,i;if(void 0!==n&&null!==n){if(this.options.ai.handicap>0&&n.player==t)for(i=n.moves.length>4?Math.floor((n.moves.length-4)*this.options.ai.handicap/100):0,o=i;o>0;o--)s=Math.floor(Math.random()*n.moves.length),n.moves.splice(s,1),n.hasOwnProperty("nodes")&&n.nodes.splice(s,1);for(n.hasOwnProperty("nodes")||this._ai_nodeCreateNodes(n),i=this.constants.score.infinite,o=0;o<n.nodes.length;o++)n.nodes[o].hasOwnProperty("moves")||this._ai_nodeMoves(n.nodes[o]),this.options.ai.minimizeLiberty&&n.nodes[o].player!=t&&n.nodes[o].moves.length>=this.options.ai.maxReply&&n.nodes[o].moves.length<i&&(i=n.nodes[o].moves.length);for(o=n.nodes.length-1;o>=0;o--)n.player==t&&n.nodes[o].moves.length>i?(n.moves.splice(o,1),n.nodes.splice(o,1)):(this._numNodes++,n.nodes[o].hasOwnProperty("valuation")||(n.nodes[o].valuation=this._ai_nodeValuate(n.nodes[o]).valuation),e>=this.options.ai.maxDepth||0!==this.options.ai.maxNodes&&this._numNodes>=this.options.ai.maxNodes||this._ai_nodeRecurseTree(t,e+1,n.nodes[o]));}},AntiCrux.prototype._ai_nodeValuate=function(t){var e,n,o;if(void 0===t&&(t=this._root_node),!this._has(t,"piece",!0)||!this._has(t,"owner",!0))return{black:0,white:0,scale:1,valuation:t.hasOwnProperty("valuation")?t.valuation:"-",valuationPC:null,valuationSolver:t.hasOwnProperty("valuationSolver")?t.valuationSolver:"-",valuationSolverPC:null};for(o={black:0,white:0,scale:0,valuation:0,valuationPC:0,valuationSolver:0,valuationSolverPC:0},e=0;e<64;e++)switch(n=this.options.variant.activePawns&&t.piece[e]==this.constants.piece.pawn&&(t.owner[e]==this.constants.owner.black&&1!=Math.floor(e/8)||t.owner[e]==this.constants.owner.white&&6!=Math.floor(e/8))?this.options.ai.valuation[-t.piece[e]]:this.options.ai.valuation[t.piece[e]],t.owner[e]){case this.constants.owner.black:o.black+=n;break;case this.constants.owner.white:o.white+=n;break;case this.constants.owner.none:break;default:throw"Internal error - Report any error (#014)"}return 0===o.black?o.valuation=this.constants.owner.white*this.constants.score.infinite:0===o.white?o.valuation=this.constants.owner.black*this.constants.score.infinite:o.valuation=this.constants.owner.black*o.black+this.constants.owner.white*o.white,t.hasOwnProperty("moves")&&0===t.moves.length&&(o.valuation=t.player*-this.constants.score.infinite),o.scale=o.black>o.white?o.black:o.white,0===o.scale&&(o.valuation=0,o.scale=1),o.valuationPC=Math.round(100*o.valuation/o.scale),o.scale=Math.round(o.scale),o.valuation=Math.round(o.valuation),o.valuationSolver=t.hasOwnProperty("valuationSolver")?t.valuationSolver:o.valuation,Math.abs(o.valuationSolver)>o.scale&&(o.scale=Math.abs(o.valuationSolver)),o.valuationSolverPC=Math.round(2*(100*(o.valuationSolver+o.scale)/(2*o.scale)-50)),o},AntiCrux.prototype._ai_nodeSolve=function(t,e,n,o){var s,i,r,a,h,c,p,l,d;if(void 0===o&&(o=this._root_node),r=this._has(o,"nodes",!0),this.options.board.decisionTree&&r&&e<=this.options.board.analysisDepth)for(s=0;s<o.nodes.length;s++)o.nodes[s].hasOwnProperty("path")||(o.nodes[s].path=n),o.nodes[s].path.length>0&&(o.nodes[s].path+="¦"),o.nodes[s].path+=this.moveToString(o.moves[s],o);if(!r)return o.valuationSolver=o.valuation,o._forced=!0,o.valuationSolver==t*-this.constants.score.infinite?(o._sequence=1,o._opportunity="+"):o.valuationSolver==t*this.constants.score.infinite&&(o._opportunity="-"),void(e>1&&(delete o.owner,delete o.piece));for(a=!0,h=!1,s=0;s<o.nodes.length;s++)this._ai_nodeSolve(t,e+1,o.nodes[s].path,o.nodes[s]),i=o.nodes[s].hasOwnProperty("_forced"),i&&o.nodes[s]._forced?i&&o.nodes[s]._forced&&(h=!0):a=!1,o.nodes[s].hasOwnProperty("_opportunity")&&(o.hasOwnProperty("_opportunity")||(o._opportunity=o.nodes[s]._opportunity),o._opportunity!=o.nodes[s]._opportunity&&(o._opportunity="±"));if(o.player==t&&h?o._forced=h:o.player!=t&&a&&(o._forced=a),o.player==t&&h){for(p=t*this.constants.score.infinite,s=o.nodes.length-1;s>=0;s--)this._has(o.nodes[s],"_forced")?(t==this.constants.owner.white&&o.nodes[s].valuationSolver<p||t==this.constants.owner.black&&o.nodes[s].valuationSolver>p)&&(p=o.nodes[s].valuationSolver):(o.moves.splice(s,1),o.nodes.splice(s,1));for(s=o.nodes.length-1;s>=0;s--)o.nodes[s].valuationSolver!=p&&(o.moves.splice(s,1),o.nodes.splice(s,1))}if(c=o.player==t||!this.options.ai.pessimisticScenario){for(o.valuationSolver=0,d=0,s=0;s<o.nodes.length;s++)if(Math.abs(o.nodes[s].valuationSolver)!=this.constants.score.infinite)o.valuationSolver+=o.nodes[s].valuationSolver,d++;else if(o.nodes[s].valuationSolver==t*this.constants.score.infinite){d=0;break}0!==d?(o.valuationSolver=Math.round(o.valuationSolver/d),e>1&&(delete o.owner,delete o.piece)):c=!1}if(!c){for(l=t*-this.constants.score.infinite,s=0;s<o.nodes.length;s++)(t==this.constants.owner.white&&o.nodes[s].valuationSolver>l||t==this.constants.owner.black&&o.nodes[s].valuationSolver<l)&&(l=o.nodes[s].valuationSolver);o.valuationSolver=l,e>1&&(delete o.owner,delete o.piece)}if(this.options.ai.acceleratedEndGame&&this._has(o,"_forced")&&o.valuationSolver==t*-this.constants.score.infinite){for(l=this.constants.score.infinite,s=0;s<o.nodes.length;s++)o.nodes[s].hasOwnProperty("_sequence")&&o.nodes[s]._sequence>0&&o.nodes[s]._sequence<l&&(l=o.nodes[s]._sequence);l!=this.constants.score.infinite&&(o._sequence=l+1)}},AntiCrux.prototype._ai_nodePick=function(t,e){var n,o,s,i,r,a,h,c,p,l=function(t){for(r=null,a=null,n=0;n<t.nodes.length;n++)null===r&&(r=t.nodes[n].valuation),null===a&&(a=t.nodes[n].valuationSolver),"boolean"!=typeof r&&r!=t.nodes[n].valuation&&(r=!0),"boolean"!=typeof a&&a!=t.nodes[n].valuationSolver&&(a=!0);"boolean"!=typeof r&&(r=!1),"boolean"!=typeof a&&(a=!1)};if(void 0===e&&(e=this._root_node),this.options.ai.acceleratedEndGame&&this._has(e,"_forced")&&e.valuationSolver==e.player*-this.constants.score.infinite){for(o=this.constants.score.infinite,n=0;n<e.nodes.length;n++)this._has(e.nodes[n],"_forced")&&e.nodes[n]._sequence>0&&e.nodes[n]._sequence<o&&(o=e.nodes[n]._sequence);if(o==this.constants.score.infinite)throw"Internal error - Report any error (#006)";for(n=e.nodes.length-1;n>=0;n--)e.nodes[n]._sequence!=o&&(e.moves.splice(n,1),this._ai_nodeFreeMemory(e.nodes[n]),e.nodes.splice(n,1))}if(l(e),this.options.ai.opportunistic&&e.nodes.length>1){for(s="",n=0;n<e.nodes.length;n++)i=e.nodes[n].hasOwnProperty("_opportunity")?e.nodes[n]._opportunity:" ",(0===s.length||"- ±+".indexOf(i)>"- ±+".indexOf(s))&&(s=i);for(n=e.nodes.length-1;n>=0;n--)(e.nodes[n].hasOwnProperty("_opportunity")?e.nodes[n]._opportunity:" ")!=s&&(e.moves.splice(n,1),this._ai_nodeFreeMemory(e.nodes[n]),e.nodes.splice(n,1))}if(l(e),this.options.ai.bestStaticScore&&!a&&r){for(o=t*this.constants.score.infinite,n=0;n<e.nodes.length;n++)(t==this.constants.owner.white&&e.nodes[n].valuation<o||t==this.constants.owner.black&&e.nodes[n].valuation>o)&&(o=e.nodes[n].valuation);for(n=e.nodes.length-1;n>=0;n--)e.nodes[n].valuation!=o&&(e.moves.splice(n,1),this._ai_nodeFreeMemory(e.nodes[n]),e.nodes.splice(n,1))}for(p=[],o=t*this.constants.score.infinite,n=0;n<e.nodes.length;n++)i=Math.round(e.nodes[n].valuationSolver),h=t==this.constants.owner.white&&i<o||t==this.constants.owner.black&&i>o,c=t==this.constants.owner.white&&i==o||t==this.constants.owner.black&&i==o,h&&(p=[],o=i),(c||h)&&p.push(e.moves[n]);switch(p.length){case 0:throw"Internal error - Report any error (#002)";case 1:return p[0];default:return p[Math.round(Math.random()*(p.length-1))]}},AntiCrux.prototype._ai_nodeTreeHtml=function(t,e){var n,o,s,i,r,a;if(void 0===e&&(e=this._root_node),this.options.board.decisionTree&&this._has(e,"nodes",!0))for(n=this,o=function(t){var e;for(e=0;e<t.nodes.length;e++)if(!t.nodes[e].hasOwnProperty("path"))return!0;return!1},s=function(t){return null===t?"-":t==n.constants.owner.black*n.constants.score.infinite?'<img src="images/mate_'+n.constants.owner.white+'.png" title="White wins" alt="-&#8734;" />':t==n.constants.owner.white*n.constants.score.infinite?'<img src="images/mate_'+n.constants.owner.black+'.png" title="Black wins" alt="+&#8734;" />':t},i=0;i<e.nodes.length;i++)if(e.nodes[i].hasOwnProperty("path")){if(a=this.options.board.fullDecisionTree||0===t||t===this.options.board.analysisDepth||!this._has(e.nodes[i],"nodes",!0)||o(e)){for(this._buffer+='<tr data-depth="'+t+'">',this._buffer+="<td>"+s(e.nodes[i].valuation)+"</td>",this._buffer+="<td>"+s(e.nodes[i].valuationSolver)+"</td>",this._buffer+="<td>"+e.nodes[i].path.split("¦").join("</td><td>")+"</td>",r=t+1;r<this.options.board.analysisDepth;r++)this._buffer+="<td>&nbsp;</td>";this._buffer+="</tr>\n"}e.nodes[i].hasOwnProperty("nodes")&&t+1<this.options.board.analysisDepth&&this._ai_nodeTreeHtml(t+1,e.nodes[i])}},AntiCrux.prototype._ai_nodeFreeMemory=function(t){var e,n;if(null===t)return 0;if(void 0===t&&(t=this._root_node),!t.hasOwnProperty("nodes"))return 1;for(n=0,e=0;e<t.nodes.length;e++)n+=this._ai_nodeFreeMemory(t.nodes[e]);return delete t.nodes,delete t.moves,n},AntiCrux.prototype._ai_gc=function(){"object"==typeof global&&"function"==typeof global.gc&&global.gc()},"undefined"!=typeof module&&module.exports&&(module.exports=AntiCrux);